# to use this file as a template, search for EDIT and modify the associated variable as needed

{
  # EDIT: package/flake description to be shared
  description = "k3s-killall packaged as a flake";

  # EDIT: set desired nixpkgs release to track
  inputs.nixpkgs.url = "nixpkgs/nixos-unstable";
  inputs.flake-utils.url = "github:numtide/flake-utils";

  outputs = ({ self, nixpkgs, flake-utils}:
    (flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs { inherit system; };
        # EDIT: bring in all the packages we're exposing
        packages = pkgs.callPackage ./default.nix { inherit pkgs; };

        # EDIT: set the default package when running the flake as `nix run repo#`
        defaultPackage = packages.k3s-killall;
      in { inherit packages defaultPackage; }
    ))
    );
}
